Subject: Re: [bug#41183] [PATCH] guix package, show: Support multiple queries.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 11 May 2020 22:25:45 +0200

Hello,

zimoun <[email-masked]> skribis:

> * guix/scripts/package.scm (process-query): Show multiple queries.
> * guix/scripts/show.scm (guix-show): Reverse to display in order.

Yay, applied!

> Note that:
>
>  1. "guix package" processes from right to left.
>  2. "guix show" processes from left to right.
>
> It is how "guix packages" is implemented.  However, it appears more natural to
> display in order; that's why "guix show" reverses the order.
>
>  3. Because dealing with multiple different queries does not seems "keep it
>  simple", "guix package" starts with the last query (the most of left) and
>  then processes all the queries corresponding to this one.
>
>
> For example,
>
> a) guix package --show=emacs --search=hello --show=libffi
> will show the packages 'emacs' and 'libffi', skipping 'search'.
>
> b) guix package --show=emacs  --show=libffi --search=hello
> will search the package 'hello', skipping 'show'.
>
> It is already how '--search' works and has been extended to '--show'.  Does it
> need to be documented in the manua?

Weirdness.  I think we should improve all that rather than document it,
addressing also some of the issues raised in
<https://issues.guix.gnu.org/issue/40549>.

Thanks,
Ludo’.